[network-admin] wireless card will not associate if static ip is used in feisty

Bug #80219 reported by gabbler on 2007-01-17
12
Affects Status Importance Assigned to Milestone
gnome-system-tools (Ubuntu)
Low
Ubuntu Desktop Bugs

Bug Description

i have installed feisty and have tried to use my wireless card (intel pro/wireless 2200bg, which uses the ipw2200 module)

if i configure it with a static address it will not associate, even if i try using the iwconfig command

as soon as i change the ip address type to dhcp it associates

if i change it back to static it immediately unassociates

this worked perfectly in edgy

gabbler (gabbler) on 2007-01-17
description: updated
Chris Burgan (cburgan) wrote :

Thanks for the report.

More info is needed, where is it that you are trying to make this change? is it in the gksu network-admin ( system > administration > networking)? I need to know so I can assign this to the proper package and then hopefully get someone to look into it from there.

Hi Chris,

Yes it is from the networking admin page

Regards

paul

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
Chris Burgan
Sent: 30 January 2007 16:37
To: <email address hidden>
Subject: [Bug 80219] Re: wireless card will not associate if static ip is
usedin feisty

Thanks for the report.

More info is needed, where is it that you are trying to make this change? is
it in the gksu network-admin ( system > administration > networking)? I need
to know so I can assign this to the proper package and then hopefully get
someone to look into it from there.

** Changed in: Ubuntu
       Status: Unconfirmed => Needs Info

--
wireless card will not associate if static ip is used in feisty
https://launchpad.net/bugs/80219

Perfect,

Ok well I will move this to the gnome-system-tools package.

Sebastien Bacher (seb128) wrote :

Thank you for your bug. What do you call "associate" for the card? You mentioned having the same problem using "iwconfig", how do you use it? If that happens from the command line that's not a gnome-system-tools bug

Changed in gnome-system-tools:
assignee: nobody → desktop-bugs
status: Unconfirmed → Needs Info

Hi,

I am still new to ubuntu but am a network person so am trying to use a much
cli as possible

I initially use the networking to configure everything like ssid, password
and ip address etc

If I use dhcp and then check with iwconfig it does associate, however if I
change the ip address to static, again in networking, and use iwconfig as
another check it does not associate

In edgy I only use iwconfig to change between my wireless lans, everything
else is done in networking

Regards

paul

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
Sebastien Bacher
Sent: 31 January 2007 11:31
To: <email address hidden>
Subject: [Bug 80219] Re: wireless card will not associate if static ip is
usedin feisty

Thank you for your bug. What do you call "associate" for the card? You
mentioned having the same problem using "iwconfig", how do you use it?
If that happens from the command line that's not a gnome-system-tools bug

** Changed in: gnome-system-tools (Ubuntu)
     Assignee: (unassigned) => Ubuntu Desktop Bugs
       Status: Unconfirmed => Needs Info

--
wireless card will not associate if static ip is used in feisty
https://launchpad.net/bugs/80219

What configuration do you have to /etc/network/interfaces (replace the essid or password by random chars if you want) when you get the problem?

Mantas Kriaučiūnas (mantas) wrote :

maybe this is a network-manager's fault and duplicate of bug #5364 ?

I've just tried to configure "Static configuration" on Ubuntu Feisty Herd5 (released on 2007-03) LiveCD (by clicking on network-managet icon in notification area and choosing "Static configuration..."):
1. In "Network Settings" dialog I clicked on tab "DNS", entered one DNS server, then clicked on "Connections" tab and then on "Wired connection" and then clicked on "Properties" button;
2. entered static IP, netmask, gateway and clicked on "OK" button;
3. when I clicked on "OK" button then some progress bar in network settings dialog was displayed for a while, but internet connection wasn't activated when progress bar window dissapers, look at ifconfig output:
ubuntu@ubuntu:~$ ifconfig
eth0 Link encap:Ethernet HWaddr 00:16:36:A7:71:DB
          inet6 addr: fe80::216:36ff:fea7:71db/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1

4. then I clicked on the checkbox near the "Wired connection" (turned off "Wired connection"), and, after several seconds, clicked on the checkbox near the "Wired connection" again, and only then my "Wired connection" with static IP started to work, look at ifconfig output:
ubuntu@ubuntu:~$ ifconfig
eth0 Link encap:Ethernet HWaddr 00:16:36:A7:71:DB
          inet addr:192.168.0.66 Bcast:192.168.0.255 Mask:255.255.255.0
          inet6 addr: fe80::216:36ff:fea7:71db/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1

Changed in gnome-system-tools:
importance: Undecided → Low
status: Needs Info → Unconfirmed
Chris Burgan (cburgan) wrote :

I am pretty sure that at the time this was filed, network manager was not enabled by default. Hopefully the person who posted the bug can supply us with more information.

Matthew Woerly (nattgew) wrote :

Yes, is this fixed in Gutsy/Hardy?

Changed in gnome-system-tools:
status: New → Incomplete
Basilio Kublik (sourcercito) wrote :

The issue that you reported is one that should be reproducible with the live environment of the Desktop CD of the development release - Hardy Heron. It would help us greatly if you could test with it so we can work on getting it fixed in the actively developed release. You can find out more about the development release at [WWW] http://www.ubuntu.com/testing/

mexlinux (mcanedo) wrote :

This is present in Hardy Aplha 6.
I think this bug is a duplicate of:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/103247

Basilio Kublik (sourcercito) wrote :

could you please confirm if this is still an issue under an up-to-date Hardy Heron system?

Thanks in advance

udippel (udippel) wrote :

Yes, I can confirm this. An out-of-the-box install and update of Hardy was working perfectly well before I set WiFi to static. Then it started very slow, with around 10 seconds between each step logon-screen -> sound -> accepting password -> displaying background -> start panel.
netstat -rn was okay, /etc/resolv.conf, ifconfig as well.
Since I set it back to roaming, everything works, again.
Alas, I need static IP for WiFi.
(From google it seems this problem has been around for almost 2 years!?)

Any workaround? I read about putting everything into /etc/network/interfaces, or uninstalling nm?

I can also confirm that this is still the case in Hardy. I've mucked around with /etc/network/interfaces etc, but what happens for me is that things will work perfectly for a couple minutes, and then the DNS seems to drop out completely (I'll get "Looking up www.google.com..." in firefox). If I wait, sometimes it will start working again, but will continue to switch back and forth.

Thank you for posting this bug.

Does this issue occur in Lucid?

Not likely to be a bug in the gnome-system-tools anyway. Somebody trying to debug this should tell us what /etc/resolv.conf contains before and after the bug is triggered, and whether running a 'ping' on the address of the DNS server works.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers